.. DAMARIS documentation master file, created by
   sphinx-quickstart on Mon Mar 23 15:55:16 2026.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.



#####################
DAMARIS documentation
#####################

.. toctree::
   :maxdepth: 3
   :caption: Contents:

   manual
   devel

#############
API Reference
#############

This API reference is generated from the source code.

***********
Experiments
***********

.. automodule:: damaris.experiments.Experiment
   :members:
   :undoc-members:

************
Data Objects
************

.. automodule:: damaris.data.Accumulation
   :members:
   :undoc-members:

.. automodule:: damaris.data.ADC_Result
   :members:
   :undoc-members:

.. automodule:: damaris.data.DamarisFFT
   :members:
   :undoc-members:

